package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageListDto {

    @ApiModelProperty(value = "用户ID",required = false)
    private Integer userId;

    @ApiModelProperty(value = "用户名",required = false)
    private String realName;

    @ApiModelProperty(value = "用户名",required = false)
    private String username;

    private String nation;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "家长电话号码",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "家长名字",required = false)
    private String parentsName;

    @ApiModelProperty(value = "生日",required = false)
    private Date birthdate;

    @ApiModelProperty(value = "班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    @ApiModelProperty(value = "课程余额")
    private BigDecimal courseBalance;
    
    private Boolean isActive;

    private Boolean isMake;

    private Long hasCourse;

    public Boolean getIsMake() {
        return isMake;
    }

    public void setIsMake(Boolean make) {
        isMake = make;
    }

    public Long getHasCourse() {
        return hasCourse;
    }

    public void setHasCourse(Long hasCourse) {
        this.hasCourse = hasCourse;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public BigDecimal getCourseBalance() {
        return courseBalance;
    }

    public void setCourseBalance(BigDecimal courseBalance) {
        this.courseBalance = courseBalance;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}
}
